Bug 191761 - bluez-pin fails to build with mock
bluez-pin fails to build with mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez-pin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-15 12:37 EDT by n0dalus
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.30-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 23:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BuildRequires Patch (488 bytes, patch)
2006-05-15 12:37 EDT, n0dalus
no flags Details | Diff

  None (edit)
Description n0dalus 2006-05-15 12:37:02 EDT
Description of problem:
bluez-pin fails to build with mock.

Version-Release number of selected component (if applicable):
bluez-pin-0.30-2.src.rpm

Build fails with:
/usr/bin/ld: cannot find -ldbus-glib-1

Attached is patch to add buildrequires dbus-glib
Comment 1 n0dalus 2006-05-15 12:37:02 EDT
Created attachment 129093 [details]
BuildRequires Patch
Comment 2 David Woodhouse 2006-05-16 12:52:42 EDT
On FC5, /usr/lib/libdbus-glib-1.so is provided by dbus-devel, which we _do_
require. However, that's just a symlink to libdbus-glibc-1.so.2.0.0, which is
provided by dbus-glib.

Is this the way it should be? Shouldn't dbus-devel require dbus-glib, if it
contains symlinks poniting to files provided by that package? Or should we have
a dbus-glib-devel? Is this different in rawhide already?
Comment 3 John (J5) Palmieri 2006-05-19 11:47:36 EDT
dbus-devel should require all the subpackages.  I'll build a new one in Rawhide.
Comment 4 Matt Domsch 2006-05-23 23:28:52 EDT
bluez-pin-0.30-2.src.rpm builds on i386 and x86_64.

Note You need to log in before you can comment on or make changes to this bug.